image: cirrusci/flutter:stable

before_script:
  - flutter pub get
  - flutter clean
  - flutter --version

stages:
  - analyze-and-test

analyze and test:
  stage: analyze-and-test
  script:
    - flutter analyze
    - flutter test --coverage ./lib 
    - lcov -r coverage/lcov.info '*/__test*__/*' -o coverage/lcov_cleaned.info
    - genhtml coverage/lcov_cleaned.info --output=coverage

  artifacts:
    paths:
      - coverage
